/*---[ service.c ]----------------------------------------------------
 * Copyright (C) 2000 Tomas Junnonen (majix@sci.fi)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Return the service used, based on the port given
 *--------------------------------------------------------------------*/

#include "service.h"

/*---[ service ]------------------------------------------------------
 * Return the service/exploit used, based on the port given
 *--------------------------------------------------------------------*/
gchar*
service (gint port)
{
	if (port == 1) return ("Tcpmux");
	if (port == 7) return ("Echo");
	if (port == 9) return ("Discard");
	if (port == 11) return ("Systat");
	if (port == 13) return ("Daytime");
	if (port == 15) return ("Netstat");
	if (port == 17) return ("Qotd");
	if (port == 18) return ("MSP");
	if (port == 19) return ("Chargen");
	if (port == 20) return ("FTP data");
	if (port == 21) return ("FTP");
	if (port == 22) return ("SSH");
	if (port == 23) return ("Telnet");
	if (port == 25) return ("SMTP");
	if (port == 37) return ("Time");
	if (port == 39) return ("RLP");
	if (port == 42) return ("Name");
	if (port == 43) return ("Whois");
	if (port == 53) return ("Domain");
	if (port == 57) return ("MTP");
	if (port == 67) return ("Bootps");
	if (port == 68) return ("Bootpc");
	if (port == 69) return ("TFTP");
	if (port == 70) return ("Gopher");
	if (port == 77) return ("RJE");
	if (port == 79) return ("Finger");
	if (port == 80) return ("WWW");
	if (port == 87) return ("Link");
	if (port == 88) return ("Kerberos");
	if (port == 95) return ("Supdup");
	if (port == 107) return ("Rtelnet");
	if (port == 109) return ("POP2");
	if (port == 110) return ("POP3");
	if (port == 111) return ("Sunrpc");
	if (port == 113) return ("Ident");
	if (port == 115) return ("Sftp");
	if (port == 117) return ("uucp-path");
	if (port == 119) return ("NNTP");
	if (port == 123) return ("NTP");
	if (port == 137) return ("Netbios");
	if (port == 138) return ("Netbios");
	if (port == 139) return ("Netbios");
	if (port == 143) return ("IMAP2");
	if (port == 161) return ("SNMP");
	if (port == 162) return ("SNMP");
	if (port == 177) return ("Xdmcp");
	if (port == 179) return ("BGP");
	if (port == 194) return ("IRC");
	if (port == 199) return ("SMUX");
	if (port == 201) return ("AT");
	if (port == 204) return ("AT");
	if (port == 206) return ("AT");
	if (port == 209) return ("QMTP");
	if (port == 213) return ("IPX");
	if (port == 220) return ("IMAP3");
	if (port == 389) return ("LDAP");
	if (port == 443) return ("HTTPS");
	if (port == 444) return ("SNPP");
	if (port == 512) return ("Exec");
	if (port == 513) return ("Login");
	if (port == 514) return ("Shell");
	if (port == 515) return ("Printer");
	if (port == 517) return ("Talk");
	if (port == 518) return ("Ntalk");
	if (port == 520) return ("Route");
	if (port == 540) return ("UUCP");
	if (port == 556) return ("RemoteFS");
	if (port == 543) return ("Klogin");
	if (port == 544) return ("Kshell");
	if (port == 749) return ("Kerb-adm");

	if (port == 31337) return ("BOrifice");
	if (port == 12345) return ("Netbus");
	if (port == 12346) return ("Netbus");
	if (port == 1524) return ("Trin00");
	if (port == 27665) return ("Trin00");
	if (port == 27444) return ("Trin00");
	if (port == 31335) return ("Trin00");

	return _("Unknown");
}
